require 'guard'
require 'guard/plugin'

module Guard
  class Catalog < Plugin
    VERSION = '0.1.0'

    def initialize(options = {})
      options[:config] ||= File.expand_path('~/.catalog.yml')

      super
    end

    def start
      catalog
    end

    def run_on_additions(paths)
      catalog
    end

  protected

    def catalog
      cmd = []
      cmd << 'catalog'
      cmd << "--path #{Dir.pwd}"
      cmd << "--config #{options[:config]}" if options[:config]

      `#{cmd}`
    end
  end
end
